curl -H "Authorization: Bearer YOUR_API_KEY" \
https://cloud.specstory.com/api/v1/projects
{
"success": true,
"data": {
"projects": [
{
"id": "proj_abc123xyz789",
"ownerId": "user_def456uvw012",
"name": "My Web App",
"icon": "Code2",
"color": "blue",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-20T14:45:30.000Z"
},
{
"id": "proj_ghi789rst345",
"ownerId": "user_def456uvw012",
"name": "Mobile App Development",
"icon": "Rocket",
"color": "emerald",
"createdAt": "2024-01-10T14:20:00.000Z",
"updatedAt": "2024-01-18T09:15:00.000Z"
}
],
"total": 2
}
}
Projects
List Projects
Retrieve all projects in your workspace
GET
/
api
/
v1
/
projects
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://cloud.specstory.com/api/v1/projects
{
"success": true,
"data": {
"projects": [
{
"id": "proj_abc123xyz789",
"ownerId": "user_def456uvw012",
"name": "My Web App",
"icon": "Code2",
"color": "blue",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-20T14:45:30.000Z"
},
{
"id": "proj_ghi789rst345",
"ownerId": "user_def456uvw012",
"name": "Mobile App Development",
"icon": "Rocket",
"color": "emerald",
"createdAt": "2024-01-10T14:20:00.000Z",
"updatedAt": "2024-01-18T09:15:00.000Z"
}
],
"total": 2
}
}
Documentation Index
Fetch the complete documentation index at: https://specstory.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Request
Bearer token for authentication
Response
Indicates if the request was successful
Show data
Show data
Total number of projects
curl -H "Authorization: Bearer YOUR_API_KEY" \
https://cloud.specstory.com/api/v1/projects
{
"success": true,
"data": {
"projects": [
{
"id": "proj_abc123xyz789",
"ownerId": "user_def456uvw012",
"name": "My Web App",
"icon": "Code2",
"color": "blue",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-20T14:45:30.000Z"
},
{
"id": "proj_ghi789rst345",
"ownerId": "user_def456uvw012",
"name": "Mobile App Development",
"icon": "Rocket",
"color": "emerald",
"createdAt": "2024-01-10T14:20:00.000Z",
"updatedAt": "2024-01-18T09:15:00.000Z"
}
],
"total": 2
}
}
Was this page helpful?
⌘I